Skip to content

Trigger a prompt now on the device (response sent via MQTT)​

GET
/devices/{id}/queueRtkCmd_AlertWithPrompt

Authorizations​

ApiKeyAuth

API Key for authentication. Retrieval from either API version login routes, or other authentication token type. See Authentication for more details.

Type
API Key (header: Authorization)
Example"eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9..."

Parameters​

Path Parameters

id*

device id

Type
number
Required
Format
"integer"

Query Parameters

alertValue*

Refer to documentation for structure of 4 byte alert value

Type
number
Required
Format
""
prompt*

Text to display on device. Long text will be scrolled automatically but try to keep it short!

Type
string
Required
btn1Text

Text to display above left(up) arrow button

Type
string
btn2Text

Text to display above right(down) arrow button

Type
string
timeoutS

if non-zero, auto hide message after this many seconds

Type
number
Format
""

Request example

Responses​

Body (JSON)

application/json
JSON
{
  
"deviceId": 0,
  
"messageId": 0,
  
"commandType": 0,
  
"created": "string",
  
"sent": "string",
  
"receivedAck": "string",
  
"payload": "string",
  
"response": "string",
  
"id": 0
}
Try this endpoint

Playground​

Authorization
Variables
Key
Value